Python
Tasks
Stream Task Run Events
Streams events for a task run.
Returns a stream of events showing progress updates and state changes for the task run.
For task runs that did not have enable_events set to true during creation, the frequency of events will be reduced.
GET
Python
Documentation Index
Fetch the complete documentation index at: https://docs.parallel.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Response
Successful Response
- TaskRunProgressStatsEvent
- TaskRunProgressMessageEvent
- TaskRunEvent
- ErrorEvent
A progress update for a task run.
Event type; always 'task_run.progress_stats'.
Allowed value:
"task_run.progress_stats"Source stats describing progress so far.
Completion percentage of the task run. Ranges from 0 to 100 where 0 indicates no progress and 100 indicates completion.